%define		_class		XML
%define		_subclass	Parser2
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.1.0
Release:	%mkrel 7
Summary:	XML parsing class based on PHP's bundled expat
License:	BSD License
Group:		Development/PHP
URL:		http://pear.php.net/package/%{upstream_name}
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
BuildArch:	noarch

%description
This is an XML parser based on PHPs built-in xml extension.
It supports two basic modes of operation: "func" and "event".  In "func"
mode, it will look for a function named after each element (xmltag_ELEMENT
for start tags and xmltag_ELEMENT_ for end tags), and in "event" mode it
uses a set of generic callbacks.

Since version 1.2.0 there's a new XML_Parser_Simple class that makes
parsing of most XML documents easier, by automatically providing a stack
for the elements.
Furthermore its now possible to split the parser from the handler object,
so you do not have to extend XML_Parser anymore in order to parse a
document with it.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_Parser2.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_Parser2.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_Parser2
fi

%files
%doc docs/XML_Parser2/*
%{peardir}/*
%{xmldir}/XML_Parser2.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.0-7.mga8
+ Revision: 1499230
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.0-6.mga7
+ Revision: 1274161
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.1.0-5.mga6
+ Revision: 932595
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-4.mga5
+ Revision: 740153
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-3.mga5
+ Revision: 687514
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.0-2.mga4
+ Revision: 528342
- Mageia 4 Mass Rebuild

* Tue Jun 18 2013 spuhler <spuhler> 0.1.0-1.mga4
+ Revision: 444269
- imported package php-pear-XML_Parser2

